﻿
/*##################################################*/
/*# STILI MULTISCHERMO #############################*/
/*##################################################*/
/*Proprietà Flexbox*/
.d_flx { display: flex; justify-content: space-around; align-content: space-around; align-items: center; flex-direction: row; flex-wrap: wrap; }
	/*Flussi Flexbox*/
	.d_flx.column { flex-direction: column; }
	.d_flx.reverse { flex-wrap: wrap-reverse; }
	/*###########*/
	/*Giustificazioni Flexbox*/
	.d_flx.j_between { justify-content: space-between; }
	.d_flx.j_start { justify-content: flex-start; }
	.d_flx.j_end { justify-content: flex-end; }
	.d_flx.j_center { justify-content: center; }
	.d_flx.j_around { justify-content: space-around; }
	/*Allineamenti Flexbox*/
	.d_flx.ai_start { align-items: flex-start; }
	.d_flx.ai_end { align-items: flex-end; }
	.d_flx.ai_stretch { align-items: stretch; }
	.d_flx.ai_center { align-items: center; }
	.d_flx.ai_unset { align-items: unset; }
	/*Distribuzione Contenuti Flexbox*/
	.d_flx.ac_start { align-content: flex-start; }
	.d_flx.ac_end { align-content: flex-end; }
	.d_flx.ac_center { align-content: center; }
	.d_flx.ac_stretch { align-content: stretch; }
	/*Elementi Flexbox*/
	.d_flx .flx_itm { padding: 1rem; }
		.d_flx .flx_itm img, .d_flx .flx_itm video { width: 100%; }
		.d_flx .w1 { flex: 1 1 100%; }
		.d_flx .w2 { flex: 0 1 calc(100%/2); }
		.d_flx .w3 { flex: 0 1 calc(100%/3); }
		.d_flx .w4 { flex: 0 1 calc(100%/4); }
		.d_flx .w5 { flex: 0 1 calc(100%/5); }
		.d_flx .w6 { flex: 0 1 calc(100%/6); }
		.d_flx .w7 { flex: 0 1 calc(100%/7); }
		.d_flx .w8 { flex: 0 1 calc(100%/8); }
		.d_flx .w9 { flex: 0 1 calc(100%/9); }
		.d_flx .w10 { flex: 0 1 calc(100%/10); }
/*##################################################*/
/*##################################################*/
/*- STILI ESCLUSIVI GRANDI SCHERMI -----------------*/
@media (min-width: 1281px) {
	/*##############################################*/
}
/*##################################################*/
/*- STILI SCHERMI MEDI --------------------------*/
@media (min-width: 1025px) and (max-width: 1280px) {
	/*##################################################*/
}

/*##################################################*/
/*- STILI PICCOLI SCHERMI --------------------------*/
@media (min-width: 769px) and (max-width: 1024px) {
	/*##################################################*/
}

/*##################################################*/
/*- STILI TABLET -----------------------------------*/
@media (min-width: 481px) and (max-width: 768px) {
	/*Elementi Flexbox*/
	.d_flx .w1 { flex: 1 1 100%; }
	.d_flx .w2 { flex: 0 1 calc(100%/2); }
	.d_flx .w3 { flex: 0 1 calc(100%/3); }
	.d_flx .w4 { flex: 0 1 calc(100%/4); }
	.d_flx .w5 { flex: 0 1 calc(100%/3); /*Originale 18%;*/ }
	.d_flx .w6 { flex: 0 1 calc(100%/3); /*Originale 14.6%*/ }
	.d_flx .w7 { flex: 0 1 calc(100%/3); /*Originale 12.28%*/ }
	.d_flx .w8 { flex: 0 1 calc(100%/4); /*Originale 10.5%*/ }
	.d_flx .w9 { flex: 0 1 calc(100%/3); /*Originale 9.1%*/ }
	.d_flx .w10 { flex: 0 1 calc(100%/5); /*Originale 8%*/ }
	/**/
}

/*##################################################*/
/*- STILI MOBILE -----------------------------------*/
@media (max-width: 480px) {
	/*Elementi Flexbox*/
	.d_flx .w1, .d_flx .w2, .d_flx .w3, .d_flx .w4 { flex: 1 1 100%; }
	.d_flx .w5, .d_flx .w6, .d_flx .w7, .d_flx .w8 { flex: 0 1 calc(100%/2); }
	.d_flx .w9, .d_flx .w10 { flex: 0 1 calc(100%/3); }
	/**/
}
